Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- ConsoleReporter
- FilteringReporter
- ForwardingReporter
- MakeFilteringForwardingReporter
- NoReporter
- PrintReporter
- Reporter
- StoreReporter

c

scala.tools.nsc.reporters

# MakeFilteringForwardingReporter

###

#### class MakeFilteringForwardingReporter extends FilteringReporter

Used in `Global.reporter_=`. sbt assigns a plain `Reporter`, which is then adapted to respect maxerrs and do position filtering.

Source
  ForwardingReporter.scala

Linear Supertypes
FilteringReporter, Reporter, reflect.internal.Reporter, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MakeFilteringForwardingReporter
2. FilteringReporter
3. Reporter
4. Reporter
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new MakeFilteringForwardingReporter(delegate: Reporter, settings: Settings)

### Type Members

1.  final type Severity = reflect.internal.Reporter.Severity
   Definition Classes
     Reporter

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MakeFilteringForwardingReporter toany2stringadd[MakeFilteringForwardingReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MakeFilteringForwardingReporter, B)
   Implicit
     This member is added by an implicit conversion from MakeFilteringForwardingReporter toArrowAssoc[MakeFilteringForwardingReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def ERROR: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
7.  final def INFO: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
8.  final def WARNING: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def cancelled: Boolean
    Definition Classes
      MakeFilteringForwardingReporter → Reporter
11.  def cancelled_=(b: Boolean): Unit
    Definition Classes
      MakeFilteringForwardingReporter → Reporter
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  def comment(pos: Position, msg: String): Unit
    Definition Classes
      MakeFilteringForwardingReporter → Reporter
14.  def doReport(pos: Position, msg: String, severity: Severity): Unit
    Definition Classes
      MakeFilteringForwardingReporter → FilteringReporter
15.  final def echo(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
16.  final def echo(msg: String): Unit
    Definition Classes
      Reporter
17.  def ensuring(cond: (MakeFilteringForwardingReporter) => Boolean, msg: => Any): MakeFilteringForwardingReporter
    Implicit
      This member is added by an implicit conversion from MakeFilteringForwardingReporter toEnsuring[MakeFilteringForwardingReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: (MakeFilteringForwardingReporter) => Boolean): MakeFilteringForwardingReporter
    Implicit
      This member is added by an implicit conversion from MakeFilteringForwardingReporter toEnsuring[MakeFilteringForwardingReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean, msg: => Any): MakeFilteringForwardingReporter
    Implicit
      This member is added by an implicit conversion from MakeFilteringForwardingReporter toEnsuring[MakeFilteringForwardingReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  def ensuring(cond: Boolean): MakeFilteringForwardingReporter
    Implicit
      This member is added by an implicit conversion from MakeFilteringForwardingReporter toEnsuring[MakeFilteringForwardingReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
23.  final def error(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
24.  def errorCount: Int
    Definition Classes
      MakeFilteringForwardingReporter → Reporter
25.  def filter(pos: Position, msg: String, severity: Severity): Int
    Definition Classes
      FilteringReporter → Reporter
26.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
27.  def finish(): Unit
    Definition Classes
      MakeFilteringForwardingReporter → Reporter
28.  def flush(): Unit
    Definition Classes
      MakeFilteringForwardingReporter → Reporter
29.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MakeFilteringForwardingReporter toStringFormat[MakeFilteringForwardingReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
30.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def hasErrors: Boolean
    Definition Classes
      MakeFilteringForwardingReporter → Reporter → Reporter
32.  def hasWarnings: Boolean
    Definition Classes
      MakeFilteringForwardingReporter → Reporter
33.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  def increment(severity: Severity): Unit
    Definition Classes
      MakeFilteringForwardingReporter → Reporter
35.  def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
    Attributes
      protected
    Definition Classes
      FilteringReporter → Reporter
    Annotations
      @deprecatedOverriding("override doReport instead", "2.13.1")
36.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
37.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      MakeFilteringForwardingReporter → Reporter
41.  def reset(): Unit
    Definition Classes
      MakeFilteringForwardingReporter → FilteringReporter → Reporter → Reporter
42.  val settings: Settings
    Definition Classes
      MakeFilteringForwardingReporter → FilteringReporter
43.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
44.  def toString(): String
    Definition Classes
      AnyRef → Any
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
48.  final def warning(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
49.  def warningCount: Int
    Definition Classes
      MakeFilteringForwardingReporter → Reporter

### Deprecated Value Members

1.  final def info(pos: Position, msg: String, force: Boolean): Unit
   Definition Classes
     Reporter
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use echo, as internal.Reporter does not support unforced info

2.  def →[B](y: B): (MakeFilteringForwardingReporter, B)
   Implicit
     This member is added by an implicit conversion from MakeFilteringForwardingReporter toArrowAssoc[MakeFilteringForwardingReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from FilteringReporter

### Inherited from Reporter

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromMakeFilteringForwardingReporter to any2stringadd[MakeFilteringForwardingReporter]

### Inherited by implicit conversion StringFormat fromMakeFilteringForwardingReporter to StringFormat[MakeFilteringForwardingReporter]

### Inherited by implicit conversion Ensuring fromMakeFilteringForwardingReporter to Ensuring[MakeFilteringForwardingReporter]

### Inherited by implicit conversion ArrowAssoc fromMakeFilteringForwardingReporter to ArrowAssoc[MakeFilteringForwardingReporter]

### Ungrouped